/*秒前边加0*/
function _pad(num, n = 2) {
	let len = num.toString().length
	while (len < n) {
		num = '0' + num
		len++
	}
	return num
}

export function formatTime(interval) {

	interval = interval | 0
	// const hour = _pad(interval / 3600 | 0)
	const minute = _pad(interval / 60 | 0)
	const second = _pad(interval % 60)
	
	return `${minute}:${second}`
}

export function formatDate(time){
	const date = time?new Date(time):new Date();
	const y = date.getFullYear();
	const Month = _pad(date.getMonth()+1);
	const d = _pad(date.getDate());
	const h = _pad(date.getHours());
	const m = _pad(date.getMinutes());
	const s = _pad(date.getSeconds());
	return `${y}-${Month}-${d} ${h}:${m}:${s}`
}
